Redmine - Defect #3834

Add a warning when not choosing a member role
2009-09-08 14:22 - Fredrik Frodlund

Status: Closed Start date: 2009-09-08
Priority: Normal Due date:

Assignee: Jean-Baptiste Barth % Done: 100%
Category: Projects Estimated time: 0.00 hour
Target version: 1.0.1

Resolution: Fixed Affected version:

Description

Just updated to rev2859 and noticed that the function for adding members to a project now sports a better interface, letting me add
several members at a time. However, when | check one or several members and click the button, nothing happens.

This is all that show up in production.log:

Processing MembersControllerf#new (for xxx.xxx.xxx.xxx at 2009-09-08 14:22:15) [POST]

Parameters: {"commit"=>"Ldgg till", "action"=>"new", "member"=>{"user_login"=>"", "user_ids"=>["
9"1}, "id"=>"hlf", "controller"=>"members"}
Completed in 25ms (View: 11, DB: 7) | 200 OK [http://www.domain.com/projects/hlf/members/new]

Associated revisions

Revision 3934 - 2010-08-11 00:37 - Jean-Baptiste Barth

Added a warning when a new user or group membership is invalid. #3834

History

#1 - 2009-09-09 09:42 - Fredrik Frodlund

| forgot to supply information about the platform. So sorry! )
MySQL: 5.0.51a-3ubuntu5.4-log
Ruby: ruby 1.8.7 (2008-08-11 patchlevel 72) [x86_64-linux]

Rails: Rails 2.3.2
Redmine version:* 0.8.4.stable.2859*

#2 - 2009-09-09 20:43 - Adam Piotr Zochowski

Are you using Internet Explorer?

We found that it has problems with some of the ajax / dom routines.

Luckily for me, all my managers agreed to use Firefox/Chrome/Opera, while users can use whatever they want.

#3 - 2009-09-09 20:53 - Fredrik Frodlund

Nope, I'm primarily using Firefox 3.5.2 on Mac and | have also tried using Safari. | can see the loading box for a split second, and the nothing gets
added.

#4 - 2009-09-10 03:00 - Eric Davis

Fredrik Frodlund wrote:
Rails: Rails 2.3.2

Redmine version:* 0.8.4.stable.2859*

Redmine isn't yet compatible with Rails 2.3.2. Can you post the output from script/about here to see what version Redmine is using?

#5 - 2009-09-11 11:03 - Fredrik Frodlund
Sorry, that was a typo. We're using 2.1.2.

#6 - 2009-09-11 19:23 - Adrian Cherry
Hi,
I'm new to Redmine so apologies if I've got it wrong.

| suspect from the log file that you haven't selected a role for the new member. | can reproduce the error if | just select the new member and apply. If |
select a new member and define a role for them then it all works fine. The log file entry then has an extra field role_id=[].

Being the newbie round here I'm not sure how this could be progressed. Hopefully one of the main developers can help. If this is the problem you
have seen then I'd suggest either a suitable warning message is flagged up on the web page or the member is added with a default role.

Hope this helps,

Regards
Adrian

#7 - 2009-09-12 11:17 - Fredrik Frodlund
- Status changed from New to Resolved
Adrian, you are absolutely right! It never occured to me that | had to check the role while | added a new user.

| agree that some sort of warning is needed when a user forgets to check a role as new members are added. | am the living proof here that the are
some lacking elements in the interaction of this process.

I'm setting this to resolved, however, we need to bring this issue regarding the interaction flaw to the attention of the developers.
#8 - 2009-09-20 17:22 - Jean-Philippe Lang
- Subject changed from Unable to add members to a project to Add a warning when not choosing a member role

- Status changed from Resolved to New

- Priority changed from Urgent to Normal

#9 - 2010-08-09 00:24 - Jean-Baptiste Barth

Can you confirm it's ok in 1.0.0 RC ? | see a warning in a prompt when | forget to check a role, is it the desired behavior ?

#10 - 2010-08-09 09:34 - Jean-Baptiste Barth

- Assignee set to Jean-Baptiste Barth

Ok, got it, sorry! | was looking at the wrong place (project settings instead of user edit page). I'll have a look at it.

#11 - 2010-08-11 00:43 - Jean-Baptiste Barth

- Status changed from New to Resolved

- Target version set to 1.0.1

- % Done changed from 0 to 100

- Resolution set to Fixed

| added a warning in r3934.

| did it the same way it's done in project>settings>members, | think it will need a huge refactoring later.

#12 - 2010-08-19 06:35 - Eric Davis

- Status changed from Resolved to Closed

Merged to 1.0-stable for release in 1.0.1.
